>From 01eb38a83b1bd1bdba55f47d8032d0594c149ca1 Mon Sep 17 00:00:00 2001
From: Joseph Tulou <brezhoneg1@yahoo.fr>
Date: Fri, 13 Feb 2009 15:00:58 +0100
Subject: [PATCH] Corrects a Windows limitation (zooming cannot exceed container size) (patch 2/3)

---
 src/video_output/vout_pictures.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/src/video_output/vout_pictures.c b/src/video_output/vout_pictures.c
index e4faa10..7545f59 100644
--- a/src/video_output/vout_pictures.c
+++ b/src/video_output/vout_pictures.c
@@ -490,8 +490,14 @@ void vout_PlacePicture( const vout_thread_t *p_vout,
                                 p_vout->fmt_in.i_sar_den / p_vout->fmt_in.i_sar_num;
         }
        
+#ifdef WIN32
+        /* On windows, inner video window exceeding container leads to black screen */
+        *pi_width = __MIN( i_width, i_original_width * i_zoom / ZOOM_FP_FACTOR );
+        *pi_height = __MIN( i_height, i_original_height * i_zoom / ZOOM_FP_FACTOR );
+#else
         *pi_width = i_original_width * i_zoom / ZOOM_FP_FACTOR ;
         *pi_height = i_original_height * i_zoom / ZOOM_FP_FACTOR ;
+#endif
     }
 
      int64_t i_scaled_width = p_vout->fmt_in.i_visible_width * (int64_t)p_vout->fmt_in.i_sar_num *
-- 
1.5.2.5

